### Method

# AppStream ReleaseList load_from_bytes

since: 0.16.0

#### Declaration [src]

    gboolean
    as_release_list_load_from_bytes (
      AsReleaseList* rels,
      AsContext* context,
      GBytes* bytes,
      GError** error
    )

#### Description [src]

Load release information from XML bytes.

Available since: 0.16.0

#### Parameters

`context`

  Type: `AsContext`

  The attached `AsContext` or `NULL` to use the current context.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`bytes`

  Type: `GBytes`

  The release XML data as `GBytes`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success.